defmodule Restcrud.PlugTest do
  use ExUnit.Case, async: true
  use Plug.Test

  import Restcrud.Plug

  @opts init([])

  test "returns hello world" do
    conn = conn(:get, "/")

    conn = call(conn, @opts)

    assert conn.state == :sent
    assert conn.status == 200
    assert get_resp_header(conn, "content-type") == ["text/plain; charset=utf-8"]
    assert conn.resp_body == "Hello world"
  end

end
